Bug 179826 - Add ability to keep all Local History Files
Add ability to keep all Local History Files
Status: CLOSED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Localhistory
6.x
PC Windows Vista
: P3 (vote)
: 7.1
Assigned To: Tomas Stupka
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-24 21:11 UTC by gliesian
Modified: 2011-11-04 17:17 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gliesian 2010-01-24 21:11:10 UTC
In Tools | Options, Miscellaneous, Versioning tab, there is the 'mandatory' ability to select when local files will be purged:

Local History: Keep Local History Files for [value] days.

The user should be able to disable this feature with a "Save all local history files" option.

Also, if you enter 99999999999999999999999999, the warning is "Must be a number".   99999999999999999999999999 is a number.

Thanks.
Comment 1 Tomas Stupka 2010-01-25 03:59:58 UTC
two different problem:

1.) need option to keep files in LH forever -> enhancement
2.) too big numbers ( > 2^32) in "Keep LH Files for ..." cause an "Must be a
number" error. -> filed a new issue #179833  to over this
Comment 2 Tomas Stupka 2011-07-11 14:49:29 UTC
fixed

core-main #e3f418448d14
Comment 3 Quality Engineering 2011-07-12 14:17:06 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/e3f418448d14
User: Tomas Stupka <tstupka@netbeans.org>
Log: Issue #179826 - Add ability to keep all Local History Files


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo